unit CalcU;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls;

type
  TfmExample = class(TForm)
    Panel1: TPanel;
    bbRun: TBitBtn;
    bbClose: TBitBtn;
    edInput1: TEdit;
    lbOutput: TLabel;
    mmOutput: TMemo;
    edInput2: TEdit;
    cbSign: TComboBox;
    procedure bbRunClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmExample: TfmExample;

implementation

{$R *.dfm}

procedure TfmExample.bbRunClick(Sender: TObject);
var
  X, Y, Z: Real;
begin
{  ,        - }
  if (edInput1.Text='') or (edInput2.Text='') 
    or (cbSign.ItemIndex<0) then Exit;
//    1- :
  try          //   
    X := StrToFloat(Trim(edInput1.Text));
  except       //  
    ShowMessage('  : '+edInput1.Text);
    edInput1.SelectAll;
    Exit;
  end;         //   
  //    2- :
  try          //   
    Y := StrToFloat(Trim(edInput2.Text));
  except       //  
    ShowMessage('  : '+edInput2.Text);
    edInput2.SelectAll;
    Exit;
  end;         //   
  //  :  
  case cbSign.ItemIndex of
  0: Z := X + Y;
  1: Z := X - Y;
  2: Z := X * Y;
  3: try
       Z := X / Y;
     except
       Z := 1.1e+38;   //     0
     end;
  end;
  //  
  lbOutput.Caption := Trim(edInput1.Text)+' '+
 	cbSign.Items[cbSign.ItemIndex]+' '+
Trim(edInput2.Text)+' = ';
  if Z >= 1.1e+38 then
    lbOutput.Caption := lbOutput.Caption+''
  else
    lbOutput.Caption := lbOutput.Caption+FloatToStr(Z);
  mmOutput.Lines.Add(lbOutput.Caption);
  //  
  edInput1.Text := '';
  edInput2.Text := '';
  cbSign.ItemIndex := -1;
end;

end.
