unit IntSummU;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls;

type
  TfmExample = class(TForm)
    Panel1: TPanel;
    bbRun: TBitBtn;
    bbClose: TBitBtn;
    edInput: TEdit;
    lbOutput: TLabel;
    mmOutput: TMemo;
    procedure bbRunClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmExample: TfmExample;

implementation

{$R *.dfm}

procedure TfmExample.bbRunClick(Sender: TObject);
var
  i, N, Sum : Integer;
begin
  try     //     :
    N := StrToInt(edInput.Text);
  except  //   ,   
    ShowMessage('   ');
    edInput.SelectAll;  //   
    Exit                //    
  end;
  edInput.Text := '';
  edInput.SetFocus;
  Sum := 0;              //   Sum
  for i := 1 to N do     //   
    Sum := Sum+i;
  mmOutput.Lines.Add('    '+
    '  1...'+IntToStr(N)+'  '+IntToStr(Sum));
end;

procedure TfmExample.FormActivate(Sender: TObject);
begin
  edInput.SetFocus
end;

end.
