unit FactorU;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls;

type
  TfmExample = class(TForm)
    Panel1: TPanel;
    bbRun: TBitBtn;
    bbClose: TBitBtn;
    edInput: TEdit;
    lbOutput: TLabel;
    mmOutput: TMemo;
    procedure FormActivate(Sender: TObject);
    procedure bbRunClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmExample: TfmExample;

implementation

{$R *.dfm}

procedure TfmExample.FormActivate(Sender: TObject);
begin
  edInput.SetFocus
end;

procedure TfmExample.bbRunClick(Sender: TObject);
Function Factorial(N: Word): Extended;
begin
  if N = 0 then
    Result := 1
  else
    Result := N * Factorial(N-1)
end;
var
  N: Integer;
 begin
  try
    N := StrToInt(Trim(edInput.Text));
  except
    Exit;
  end;
  mmOutput.Lines.Add(edInput.Text+'! = '+FloatToStr(Factorial(N)));
  edInput.Text := '';
  edInput.SetFocus
end;

end.
