unit WriteCompU;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls;

type
  TfmExample = class(TForm)
    Panel1: TPanel;
    bbRun: TBitBtn;
    bbClose: TBitBtn;
    edInput: TEdit;
    lbOutput: TLabel;
    mmOutput: TMemo;
    procedure bbRunClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmExample: TfmExample;

implementation

{$R *.dfm}



procedure TfmExample.bbRunClick(Sender: TObject);
var
  MemSourceStream, MemDestStream: TMemoryStream;
begin
  MemSourceStream := TMemoryStream.Create;
  try
    MemDestStream := TMemoryStream.Create;
    try
      MemSourceStream.WriteComponent(bbRun);
      MemSourceStream.Seek(0, soFromBeginning);
      ObjectBinaryToText(MemSourceStream, MemDestStream);
      MemDestStream.Seek(0, soFromBeginning);
      mmOutput.Lines.LoadFromStream(MemDestStream)
    finally
      MemDestStream.Free
    end;
  finally
    MemSourceStream.Free
  end;
end;

end.
