unit FontU;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls;

type
  TfmExample = class(TForm)
    Panel1: TPanel;
    bbRun: TBitBtn;
    bbClose: TBitBtn;
    edInput: TEdit;
    lbOutput: TLabel;
    bbFont: TButton;
    bbOut: TButton;
    pbOut: TPaintBox;
    FontDialog1: TFontDialog;
    procedure bbRunClick(Sender: TObject);
    procedure bbFontClick(Sender: TObject);
    procedure bbOutClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmExample: TfmExample;

implementation

{$R *.dfm}



procedure TfmExample.bbRunClick(Sender: TObject);
{  ,   bbRun  
 edInput   bbFont  bbOut}
begin
  with pbOut.Canvas, Font do
  begin
    TextOut(10, 10, 'MS Sans Serif, Size=10');
    Size := 20;
    TextOut(10, 30, 'MS Sans Serif, Size=20');
    Name := 'Courier';
    Style := [fsBold];
    TextOut(10, 70, 'Courier, Syze=20');
    Name := 'Times New Roman';
    Style := [fsItalic, fsUnderLine, fsBold];
    TextOut(10, 110, 'Times Nes Roman, , , '+
'.');
  end;
  edInput.Show;
  bbFont.Show;
  bbOut.Show;
  bbRun.Hide;
  lbOutput.Caption := ' ,    '+
' ""!'
end;

procedure TfmExample.bbFontClick(Sender: TObject);
begin
  if FontDialog1.Execute then
    pbOut.Canvas.Font := FontDialog1.Font
end;

procedure TfmExample.bbOutClick(Sender: TObject);
{    edInput  }
begin
  if edInput.Text <> '' then
    pbOut.Canvas.TextOut(10, 150, edInput.Text);
  edInput.Text := '';  //  
  edInput.SetFocus     //   
end;

end.
