unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls;

type
  TfmExample = class(TForm)
    Panel1: TPanel;
    bbRun: TBitBtn;
    bbClose: TBitBtn;
    edInput: TEdit;
    lbOutput: TLabel;
    mmOutput: TMemo;
    procedure FormActivate(Sender: TObject);
    procedure bbRunClick(Sender: TObject);
    procedure edInputEnter(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmExample: TfmExample;

implementation

{$R *.DFM}

procedure TfmExample.FormActivate(Sender: TObject);
begin
  edInput.SetFocus
end;

procedure TfmExample.bbRunClick(Sender: TObject);
var
  MaxLength, k: Integer;
  S: String;
begin
  if edInput.Text='' then
    Exit;
  try
    MaxLength := StrToInt(edInput.Text)
  except
    Exit
  end;
  S := '';
  for k := 1 to MaxLength do
    S := S+'0';
  edInput.Text := S;
  lbOutput.Caption := '  Text = '+IntToStr(Length(edInput.Text));
  mmOutput.SetFocus
end;

procedure TfmExample.edInputEnter(Sender: TObject);
begin
  edInput.Text := ''
end;

end.
