unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls;

type
  TfmExample = class(TForm)
    Panel1: TPanel;
    bbRun: TBitBtn;
    bbClose: TBitBtn;
    edInput: TEdit;
    lbOutput: TLabel;
    mmOutput: TMemo;
    procedure bbRunClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmExample: TfmExample;

implementation

{$R *.DFM}

procedure TfmExample.bbRunClick(Sender: TObject);
var
  k, MaxLines: Integer;
  S: String;
begin
  if edInput.Text='' then
    Exit;
  try
    MaxLines := StrToInt(edInput.Text);
  except
    MaxLines := 3000;
    edInput.Text := '3000'
  end;
  mmOutput.Lines.Clear;
  mmOutput.Hide;
  Screen.Cursor := crHourGlass;
  for k := 1 to MaxLines do
  begin
    S := IntToStr(k);
    while Length(S)<14 do
      S := '0'+S;
    mmOutput.Lines.Add(S)
  end;
  mmOutPut.Show;
  Screen.Cursor := crDefault;
  lbOutPut.Caption := ' Text = '+IntToStr(Length(mmOutput.Text))
end;

procedure TfmExample.FormActivate(Sender: TObject);
begin
  edInput.SetFocus
end;

end.
