unit RD;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls, ComCtrls;

type
  TfmExample = class(TForm)
    Panel1: TPanel;
    bbRun: TBitBtn;
    bbClose: TBitBtn;
    edInput: TEdit;
    lbOutput: TLabel;
    pb: TProgressBar;
    mmOutput: TRichEdit;
    procedure bbRunClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmExample: TfmExample;

implementation

{$R *.dfm}



procedure TfmExample.bbRunClick(Sender: TObject);
var
  k, MaxLines: Integer;
  S: String;
begin
  if edInput.Text='' then
    Exit;
  try
    MaxLines := StrToInt(edInput.Text);
  except
    MaxLines := 3000;
    edInput.Text := '3000'
  end;
  mmOutput.Lines.Clear;
  mmOutput.Hide;
  Screen.Cursor := crHourGlass;
  pb.Min := 1;
  pb.Max := MaxLines;
  for k := 1 to MaxLines do
  begin
    pb.Position := k;
    S := IntToStr(k);
    while Length(S)<14 do
      S := '0'+S;
    mmOutput.Lines.Add(S)
  end;
  mmOutPut.Show;
  Screen.Cursor := crDefault;
  lbOutPut.Caption := ' Text = '+IntToStr(Length(mmOutput.Text))
end;

end.
