unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ImgList, ComCtrls;

type
  TForm1 = class(TForm)
    ListView1: TListView;
    ImageList1: TImageList;
    CheckBox1: TCheckBox;
    ComboBox1: TComboBox;
    Label1: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
var
  k: Integer;
  ListItem: TListItem;	
begin
  with ListView1 do
  begin
    //   :
    SmallImages := ImageList1;	
    LargeImages := ImageList1;
    //  ListView1   :
    for k := 0 to ImageList1.Count - 1 do
    begin
      //       
      ListItem := Items.Add;
      //    
      ListItem.ImageIndex := k;
      //   ImageN
      ListItem.Caption := 'Image' + IntToStr(k);
    end;
    //   ComboBox1   ListView
    ComboBox1.Items.Clear;
    ComboBox1.Items.AddObject('vsIcon', TObject(vsIcon));
    ComboBox1.Items.AddObject('vsList', TObject(vsList));
    ComboBox1.Items.AddObject('vsReport', TObject(vsReport));
    ComboBox1.Items.AddObject('vsSmallIcon',
                              TObject(vsSmallIcon));
    //     Combo Box
    ComboBox1.ItemIndex := 0;
    //     vsReport:
    Columns.Add;
    Columns[0].Caption := ' 1';
    Columns[0].Width := 80; 
  end;

end;

procedure TForm1.ComboBox1Change(Sender: TObject);
begin
  with ComboBox1 do
    ListView1.ViewStyle := TViewStyle(Items.Objects[ItemIndex]);
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  ListView1.CheckBoxes := CheckBox1.Checked
end;

end.
