unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Spin;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    edSection: TEdit;
    edParam1: TEdit;
    edParam2: TEdit;
    cbParam4: TCheckBox;
    Button1: TButton;
    Button2: TButton;
    seParam3: TSpinEdit;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure edParam2Exit(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses IniFiles;

const
  SectionName = 'InitSection';
  IniFileName = 'DemoIni.ini';
var
  Ini: TIniFile;
{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
//    
begin
  if edSection.Text='' then
    edSection.Text := SectionName;
  Ini := TIniFile.Create(IniFileName);
  Ini.WriteString(edSection.Text, 'Param1', edParam1.Text);
  Ini.WriteFloat(edSection.Text, 'Param2', StrToFloat(edParam2.Text));
  Ini.WriteInteger(edSection.Text, 'Param3', seParam3.Value);
  Ini.WriteBool(edSection.Text, 'Param4', cbParam4.Checked);
  Ini.Destroy;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  if edSection.Text='' then
    edSection.Text := SectionName;
  Ini := TIniFile.Create(IniFileName);
  edParam1.Text := Ini.ReadString(edSection.Text, 'Param1', 'Delphi');
  edParam2.Text := FloatToStr(Ini.ReadFloat(edSection.Text,
                        'Param2', 3.1415));
  seParam3.Value := Ini.ReadInteger(edSection.Text, 'Param3', 100);
  cbParam4.Checked := Ini.ReadBool(edSection.Text, 'Param4', True);
  Ini.Destroy;
end;

procedure TForm1.edParam2Exit(Sender: TObject);
begin
  try
    StrToFloat(edParam2.Text)
  except
    edParam2.SelectAll;
    edParam2.SetFocus;
  end
end;

end.
