unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    Button1: TButton;
    Button2: TButton;
    OpenDialog1: TOpenDialog;
    BitBtn1: TBitBtn;
    Button3: TButton;
    FontDialog1: TFontDialog;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses Printers;
{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
//         
begin
  if OpenDialog1.Execute then
    Memo1.Lines.LoadFromFile(OpenDialog1.FileName)
end;

procedure TForm1.Button2Click(Sender: TObject);
//    c   Printer.Canvas
var
  Y,dY,X,k: Integer;
  S: String;
begin
  if Memo1.Lines.Count=0 then Exit;
  Screen.Cursor := crHourGlass;
  with Printer do
  begin
    BeginDoc;
    with Canvas do
    begin
      Font := Memo1.Font;
      dY := TextHeight('1');    //   
      Y := 3*dY;                //     
      X := PageWidth div 15;    //    
      for k := 0 to Memo1.Lines.Count-1 do
      begin
        //    
        TextOut(X,Y,Memo1.Lines[k]);
        //     
        inc(Y,dY);
        if PageHeight-Y<2*dY then      //   ?
        begin                          // 
          NewPage;                     //    
          //     :
          S := '- '+IntToStr(PageNumber)+' -';
          TextOut((PageWidth-TextWidth(S)) div 2, dy, S);
          //     :
          MoveTo(X, 3*dy div 2);
          LineTo(PageWidth-X, 9*dy div 4);
          //   :
          Y := 3*dY
        end;
      end;
    end;
    EndDoc;
  end;
  Screen.Cursor := crDefault;
end;

procedure TForm1.Button3Click(Sender: TObject);
//       Memo1
begin
  if FontDialog1.Execute then
    Memo1.Font := FontDialog1.Font
end;

end.
