unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls;

type
  TfmExample = class(TForm)
    Panel1: TPanel;
    bbRun: TBitBtn;
    bbClose: TBitBtn;
    edInput: TEdit;
    lbOutput: TLabel;
    mmOutput: TMemo;
    procedure bbRunClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmExample: TfmExample;

implementation

{$R *.DFM}

type
  TComplex = record
    Re, Im: Real;
  end;
function ADDC(x, y: TComplex): TComplex; stdcall; External 'Cmplx.dll';
function SubC(x, y: TComplex): TComplex; stdcall; External 'Cmplx.dll';
function MulC(x, y: TComplex): TComplex; stdcall; External 'Cmplx.dll';
function DivC(x, y: TComplex): TComplex; stdcall; External 'Cmplx.dll';

procedure TfmExample.bbRunClick(Sender: TObject);
var
  x,y,z: TComplex;

procedure Output(Operation: Char);
//        mmOutput
var
  S: String;
begin
  case Operation of
  '+': z := AddC(x,y);
  '-': z := SubC(x,y);
  '*': z := MulC(x,y);
  '/': z := DivC(x,y);
  end;
  S := '('+FormatFloat('+0.0000;-0.0000',x.re)+
          FormatFloat('+0.0000j;-0.0000j',x.im)+')'+Operation+
       '('+FormatFloat('+0.0000;-0.0000',y.re)+
           FormatFloat('+0.0000j;-0.0000j',y.im)+'='+
           FormatFloat('+0.0000;-0.0000',z.re)+
           FormatFloat('+0.0000j;-0.0000j',x.im);
  mmOutput.Lines.Add(S);
end;  //Output

begin  //bbRunClick
  x.re := Random;
  x.im := Random;
  y.re := Random;
  y.im := Random;
  Output('+');
  Output('-');
  Output('*');
  Output('/');
  mmOutput.Lines.Add('');
end;

end.
