unit AverageU;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls;

type
  TfmExample = class(TForm)
    Panel1: TPanel;
    bbRun: TBitBtn;
    bbClose: TBitBtn;
    edInput: TEdit;
    lbOutput: TLabel;
    mmOutput: TMemo;
    procedure bbRunClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmExample: TfmExample;

implementation

{$R *.dfm}

procedure TfmExample.bbRunClick(Sender: TObject);
{    N   , -     0  MAX_VALUE-1, -    ,       .}
const
  N = 1000; 		//   
  MAX_VALUE = 100+1; 	//    
var
  m: array [1..N] of Integer;  //  
  i: Integer; 		       //  
  max, min: Integer; 	   //    
  sum: Real; 		   //  
  S: String;		   //  
begin
  S := ''; 
  //    :
  for i := 1 to N do 
  begin
    m[i] := Random(MAX_VALUE);
    S := S+#9+IntToStr(m[i]);  //    
    if i mod 10=0 then		 //   10 ?
    begin				 // -.    
      mmOutput.Lines.Add(S);
      S := ''
    end
  end;
  //    :
  sum := m[1];
  max := m[1];
  min := m[1];
//         
//   :
  for i := 2 to N do
    begin
      sum := sum + m[i];
      if m[i] < min then
        min := m[i]
      else if m[i] > max then
        max := m[i]
    end;
  //      :
  lbOutput.Caption := ' = '+IntToStr(min)+'  = '+
    IntToStr(max)+'  = '+FloatToStr(sum/N);
end;

end.
