unit IntTestU;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls, Mask;

type
  TfmExample = class(TForm)
    Panel1: TPanel;
    bbRun: TBitBtn;
    bbClose: TBitBtn;
    lbOutput: TLabel;
    mmOutput: TMemo;
    edInput: TMaskEdit;
    procedure FormActivate(Sender: TObject);
    procedure bbRunClick(Sender: TObject);
  private
    X: Integer;
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmExample: TfmExample;

implementation

{$R *.dfm}

procedure TfmExample.FormActivate(Sender: TObject);
begin
  X := Random(1001);   //   
  edInput.SetFocus;    //   edInput  
  Caption := '     0...1000';
  lbOutput.Caption := ' :';
end;

procedure TfmExample.bbRunClick(Sender: TObject);
var
  Y: Integer;
begin
  if edInput.Text = '' then
    Exit;       //    ,  
  //    :
  Y := StrToInt(Trim(edInput.Text));  
  edInput.Text := '';             //  
  edInput.SetFocus;               //   
  {  Tag = 0   ,  -  
    ,       }
  if Tag = 0 then
    if X < Y then                     //  
      mmOutput.Lines.Add('X < '+IntToStr(Y))
    else if X > Y then
      mmOutput.Lines.Add('X > '+IntToStr(Y))
    else                             // X = Y
    begin
      mmOutput.Lines.Add('X = '+IntToStr(Y));
      MessageBeep(MB_OK);     //    
      lbOutput.Caption := ' !  1,   :';
      Tag := 1;           //   -   
    end
end;

end.
