unit PowerU;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls;

type
  TfmExample = class(TForm)
    Panel1: TPanel;
    bbRun: TBitBtn;
    bbClose: TBitBtn;
    edInput: TEdit;
    lbOutput: TLabel;
    mmOutput: TMemo;
    procedure FormActivate(Sender: TObject);
    procedure bbRunClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmExample: TfmExample;

implementation

{$R *.dfm}

procedure TfmExample.FormActivate(Sender: TObject);
begin
  edInput.SetFocus
end;

procedure TfmExample.bbRunClick(Sender: TObject);
Function Power(A, B: Real): Real;
{       .   -   ,   - :     ,      .  ,       .}
begin
  if A > 0 then
    Result := Exp(B * Ln(A))
  else if A < 0 then
    Result := Exp(B * Ln(Abs(A)))
  else if B = 0 then
    Result := 1
  else
    Result := 0;
end;       // Power
var
  S: String;
  X, Y: Real;
begin
{    edInput      
  ,      }
  S := edInput.Text;
  if (S = '') or (pos(' ' ,S) = 0) then
    Exit;		//       
//  -   
  try
    //   :
    X := StrToFloat(copy(S, 1, pos(' ', S) - 1));
    //  ,    
    //    :
    Delete(S, 1, pos(' ', S));
    Y := StrToFloat(Trim(S));
  except
    Exit;	//     
  end;
  mmOutput.Lines.Add('   Y = '+FloatToStr(Power(X, Y)));
  mmOutput.Lines.Add('   -Y = '+FloatToStr(Power(X, -Y)));
end;

end.
