unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, Spin;

type
  TForm1 = class(TForm)
    btMem: TButton;
    btFile: TButton;
    se: TSpinEdit;
    Label1: TLabel;
    pb: TProgressBar;
    Label2: TLabel;
    lbMem: TLabel;
    lbFile: TLabel;
    procedure btMemClick(Sender: TObject);
    procedure btFileClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}


procedure TForm1.btMemClick(Sender: TObject);
//     
type
  PReal = ^Real;
var
  HFile, HMap: THandle;
  AdrBase, AdrReal: PReal;
  k: Integer;
  FSize: Cardinal;
  BegTime: TDateTime;
begin
  BegTime := Time;   //   
  //  ProgressBar:
  pb.Max := se.Value;
  pb.Position := 0;
  pb.Show;
  FSize := se.Value * SizeOf(Real); //  
  HFile := FileCreate('test.dat');  //  
  if HFile = 0 then     // :  
    raise Exception.Create('  ');
  try
    //    
    HMap := CreateFileMapping(HFile, NIL, PAGE_READWRITE, 0, FSize, NIL);
    if HMap = 0 then    // :  
      raise Exception.Create('  ');
    try
      //   :
      AdrBase := MapViewOfFile(HMap, FILE_MAP_WRITE, 0, 0, FSize);
      if AdrBase = NIL then  // :  
        raise Exception.Create('  ');
      //      
      //  :
      AdrReal := AdrBase;
      for k := 1 to se.Value do
      begin
        AdrReal^ := Random;  //     
        //     
        //     Integer  Cardinal:
        AdrReal := Pointer(Integer(AdrReal) + SizeOf(Real));
        lbMem.Caption := IntToStr(k);
        pb.Position := k;
        Application.ProcessMessages;
      end;
      //   :
      UnmapViewOfFile(AdrBase)
    finally
      //  
      CloseHandle(HMap)
    end
  finally
    //  
    CloseHandle(HFile)
  end;
  //   
  pb.Hide;
  lbMem.Caption := TimeToStr(Time-BegTime)
end;

procedure TForm1.btFileClick(Sender: TObject);
//    
var
  F: File of Real;
  k: Integer;
  BegTime: TDateTime;
  R: Real;   //      Write
begin
  BegTime := Time;  //    
  //  ProgressBar:
  pb.Max := se.Value;
  pb.Position := 0;
  pb.Show;
  //  :
  AssignFile(F, 'test.dat');
  Rewrite(F);
  for k := 1 to se.Value do
  begin
    R := Random;   //    Write
    Write(F, R);   //    
    lbFile.Caption := IntToStr(k);
    pb.Position := k;
    Application.ProcessMessages;
  end;
  CloseFile(F);
  pb.Hide;
  lbFile.Caption := TimeToStr(Time-BegTime)
end;

end.
