unit FindFilU;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls;

type
  TfmExample = class(TForm)
    Panel1: TPanel;
    bbRun: TBitBtn;
    bbClose: TBitBtn;
    edInput: TEdit;
    lbOutput: TLabel;
    mmOutput: TMemo;
    procedure FormActivate(Sender: TObject);
    procedure bbRunClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmExample: TfmExample;

implementation

{$R *.dfm}



procedure TfmExample.FormActivate(Sender: TObject);
var
  S: String;
begin
  GetDir(0, S);
  edInput.Text := S+'\*.*';
  edInput.SetFocus
end;

procedure TfmExample.bbRunClick(Sender: TObject);
var
  Mask: String;
  SR: TSearchRec;
begin
  Mask := edInput.Text;
  if Mask = '' then
    Mask := '*.*';
  mmOutput.Lines.Clear;
  if FindFirst(Mask,faAnyFile,SR)=0 then
  repeat
    mmOutput.Lines.Add(SR.Name);
  until FindNext(SR)<>0;
  FindClose(SR);
end;

end.
