unit BrushU;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls, ExtDlgs;

type
  TfmExample = class(TForm)
    Panel1: TPanel;
    bbRun: TBitBtn;
    bbClose: TBitBtn;
    pbOut: TPaintBox;
    pbBit: TPaintBox;
    Splitter1: TSplitter;
    cbBrushColor: TColorBox;
    BitBtn1: TBitBtn;
    OPDlg: TOpenPictureDialog;
    Label1: TLabel;
    procedure bbRunClick(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmExample: TfmExample;

implementation

{$R *.dfm}

procedure TfmExample.bbRunClick(Sender: TObject);
//    ,   cbBrushCilor
const
  Names: array [0..7] of String[12] = ('bsSolid','bsClear','bsHorizontal','bsVertical',
        'bsFDiagonal','bsBDiagonal','bcCross','bsDiagCross');
var
  k, X, Y, H, W: Integer;
  R: TRect;
begin
  X := 10;
  Y := 10;
  with pbOut.Canvas do
  begin
    Brush.Color := clWhite;
    Brush.Style := bsSolid;
    FillRect(ClipRect);
    W := ClipRect.Right div 2-90;
    H := ClipRect.Bottom div 4-10;
    for k := 0 to 7 do
    begin
      if k=4 then
      begin
        X := W+90;
        Y := 5
      end;
      Brush.Style := TBrushStyle(k);
      if k<>1 then
         Brush.Color := cbBrushColor.Colors[cbBrushColor.ItemIndex];
      R.Top := Y;
      inc(Y, H);
      R.Bottom := R.Top+H;
      R.Left := X+70;
      R.Right := R.Left+W;
      FillRect(R);
      Brush.Color := clWhite;
      TextOut(X, R.Top+5, Names[k]);
      R.Top := R.Top+H;
    end
  end
end;

procedure TfmExample.BitBtn1Click(Sender: TObject);
//  
begin
  with pbBit.Canvas, Brush do
  begin
    Bitmap := TBitmap.Create;
    try
      if OPDlg.Execute then
        Bitmap.LoadFromFile(OPDlg.FileName);
      FillRect(ClipRect);
    finally
      Bitmap.Free
    end
  end
end;

end.
