unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    ColorDialog1: TColorDialog;
    Button1: TButton;
    Button2: TButton;
    Edit1: TEdit;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
{   ColorDialog1    :
   Execute  True, 
  : }
  if ColorDialog1.Execute then
  begin
    //     :
    Panel1.Color := ColorDialog1.Color;
   {   Edit1      
      : }
    Edit1.Text := IntToHex(ColorDialog1.Color,8);
    Panel1.Caption := Edit1.Text
  end
end;

function HexStrToInt(S: String): Integer;
{    S     Integer}
function HDigital(C: Char): Byte;
//     
begin
  case C of
  '0'..'9': Result := ord(C)-ord('0');
  'A'..'F': Result := ord(C)-ord('A')+10;
  else
{          ,   ,        :}
    raise EConvertError.Create
('   ');
  end;
end;  //HDigital
var
  k: Integer;
begin  //HexStrToInt
  Result := 0;
  //  -  :
  if S[1]='$' then delete(S,1,1);
  //  :
  for k := 1 to Length(S) do
    Result := Result*16+HDigital(S[k]);
end;  //HexStrToInt

procedure TForm1.Button2Click(Sender: TObject);
begin
  Panel2.Color := HexStrToInt(Edit1.Text);
  Panel2.Caption := Edit1.Text
end;

end.
