unit HContMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls;

type
  TForm1 = class(TForm)
    HeaderControl1: THeaderControl;
    Edit1: TEdit;
    Memo1: TMemo;
    Button1: TButton;
    procedure FormCreate(Sender: TObject);
    procedure HeaderControl1Resize(Sender: TObject);
    procedure HeaderControl1SectionResize(HeaderControl: THeaderControl;
      Section: THeaderSection);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

const
  Delta = 10;//      

procedure TForm1.FormCreate(Sender: TObject);
var
  HSection: THeaderSection;
  k: Integer;
begin
  //    :
  with HeaderControl1 do for k := 0 to 2 do
  begin
    HSection := Sections.Add;
    HSection.Text := ' ' + IntToStr(k);
    HSection.Width := Form1.Width div 3;
    HSection.MinWidth := 3 * Delta;
  end;
end;

procedure TForm1.HeaderControl1Resize(Sender: TObject);
//     
begin
  with HeaderControl1 do
  begin
    Edit1.Left := Delta;
    Edit1.Top := HeaderControl1.Height + 1;
    Edit1.Width := Sections.Items[0].Width - 2 * Delta;

    Memo1.Left := Sections.Items[1].Left + Delta;
    Memo1.Top := HeaderControl1.Height + 1;
    Memo1.Width := Sections.Items[1].Width - 2 * Delta;

    Button1.Left := Sections.Items[2].Left + Delta;
    Button1.Top := HeaderControl1.Height + 1;
    Button1.Width := Sections.Items[2].Width - 2 * Delta;
  end
end;

procedure TForm1.HeaderControl1SectionResize(HeaderControl: THeaderControl;
  Section: THeaderSection);
begin
  HeaderControl1Resize(Self)
end;

end.
