unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls;

type
  TfmExample = class(TForm)
    Panel1: TPanel;
    bbRun: TBitBtn;
    bbClose: TBitBtn;
    edInput: TEdit;
    lbOutput: TLabel;
    mmOutput: TMemo;
    Timer1: TTimer;
    procedure bbRunClick(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
    { Private declarations }
    BegTime: TDateTime;
    Counter: Integer;
  public
    { Public declarations }
  end;

var
  fmExample: TfmExample;

implementation

{$R *.DFM}

procedure TfmExample.bbRunClick(Sender: TObject);
var
  Delay: Word;
begin
  //   
  if edInput.Text='' then Exit;
  try
    Delay := StrToInt(edInput.Text);
  except
    ShowMessage('   ');
    edInput.SelectAll;
    edInput.SetFocus;
    Exit
  end;
  Counter := 0;                 //  
  Timer1.Interval := Delay; //  
  BegTime := Time;          //  
  Timer1.Enabled := True;   //  
  Screen.Cursor := crHourGlass
end;

procedure TfmExample.Timer1Timer(Sender: TObject);
var
  h, m, s, ms: Word;
begin
  Counter := Counter + 1;
  if Counter=55 then  // 55 -   
  begin
    Timer1.Enabled := False;
    DecodeTime((Time-BegTime)/55, h, m, s, ms);
    mmOutput.Lines.Add(
      Format(' %s ms.  %d ms.', [edInput.Text, ms]));
    edInput.Text := '';
    edInput.SetFocus;
    Screen.Cursor := crDefault
  end;
end;

procedure TfmExample.FormActivate(Sender: TObject);
begin
  edInput.SetFocus
end;

end.
