{
     TIntLabel,   TLabel
     NumValue.     
    Caption      
 Caption.           ModelMaker.
}
unit IntLabel;

interface

uses
  SysUtils, Windows, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls;

type
  TIntLabel = class (TLabel)
  protected
    function GetNumValue: Integer;
    procedure SetNumValue(Value: Integer);
  public
    constructor Create(aOwner: TComponent); override;
  published
    property NumValue: Integer read GetNumValue write SetNumValue;
  end;
  

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('MM Demo', [TIntLabel]);
end;

{
********************************** TIntLabel ***********************************
}
constructor TIntLabel.Create(aOwner: TComponent);
begin
  inherited Create(aOwner);
  //    Caption   
  ControlStyle := ControlStyle - [csSetCaption];
  //   NumValue
  NumValue := 0
end;

function TIntLabel.GetNumValue: Integer;
begin
  Result := StrToIntDef(Caption, 0);
end;

procedure TIntLabel.SetNumValue(Value: Integer);
begin
  Caption := IntToStr(Value);
end;


end.
